/**
 * Fetch function
 *
 * @param   {string | URL | import('./request').default} url - Absolute url or Request instance
 * @param   {RequestInit} [options_] - Fetch options
 * @return  {Promise<import('./response').default>}
 */
export default function fetch(url: string | URL | import('./request').default, options_?: RequestInit | undefined): Promise<import('./response').default>;
import Headers from "./headers.js";
import Request from "./request.js";
import Response from "./response.js";
import { FetchError } from "./errors/fetch-error.js";
import { AbortError } from "./errors/abort-error.js";
import { isRedirect } from "./utils/is-redirect.js";
import { ReadableStream } from "packages/stream/src/lib.js";
import { Blob } from "./package.js";
import { FormData } from "./package.js";
export { Headers, Request, Response, FetchError, AbortError, isRedirect, ReadableStream, Blob, FormData };
//# sourceMappingURL=index.d.ts.map